GET https://business.dglive.org/api/tokenImage/Token ID/NFT Addr
Simply input the token ID and NFT Address of the NFT in the query params to get as a response the image that represents that token.
Query Parameters
The Token ID of the NFT you want to retrieve
The address of the NFT you want to retrieve
GET https://business.dglive.org/api/getSlotImageURL/Token ID/NFT Addr
curl https://business.dglive.org/api/getSlotImageURL/15/0x06bbacfa34951cc5f0f349d7769a24c02373ccfd -H "Accept: application/json"
Query Parameters
The Token ID of the NFT you want to retrieve
The address of the NFT you want to retrieve
{"url":"https://ipfs.io/ipfs/QmZfyEpJtVV3EGCUQEv4j8GafwB3ZEjw7CahjJcZTgpVe6"}
getAllMarketSlots
GET https://business.dglive.org/api/getAllMarketSlots/User ID/Slot ID
Returns the slots from the specified user and specified scenes
Query Parameters
The user ID of the slot you want to retrieve
The ID of the specific slot you want to retrieve
[{"id":"1","id_user":"1","id_zone":"1","name":"Example","status":"1","pos_x":"1","pos_y":"1","pos_z":"1","size_x":"1","size_y":"1","size_z":"1","rot_x":"1","rot_y":"1","rot_z":"1","token_id":"10","price":100,"resource_id":"99","wallet":"0xfollowWallet","address":"0xnftAddress"}]
GET https://business.dglive.org/api/getSlotsByZone/Scene ID
curl https://business.dglive.org/api/getSlotsByZone/1 -H "Accept: application/json"
Query Parameters
The ID of the scene you want to retrieve the slots from
[{"id":"1","id_user":"1","id_zone":"1","name":"Example","status":"1","pos_x":"1","pos_y":"1","pos_z":"1","size_x":"1","size_y":"1","size_z":"1","rot_x":"1","rot_y":"1","rot_z":"1","token_id":"10","price":100,"resource_id":"99","wallet":"0xfollowWallet","address":"0xnftAddress"}]
POST https://business.dglive.org/api/updateSlot/Slot ID/API KEY
Updates the specified slot with the specified parameters.
Query Parameters
The ID of the slot to be updated
The follow wallet address
The name of the slot you are updating
The x position for this slot
The y position for this slot
The z position for this slot
The x rotation for this slot
The y rotation for this slot
The z rotation for this slot
GET https://business.dglive.org/api/deleteSlot/Slot ID
Deletes the specified slot (This only works if you are logged into the DG Business platform, no api key access is allowed yet).
Query Parameters
The ID of the slot to delete